summaryrefslogtreecommitdiffstats
path: root/games/smokinguns/smokinguns.SlackBuild
diff options
context:
space:
mode:
author Fernando Giannasi2013-10-20 19:50:21 +0200
committer Matteo Bernardini2013-10-23 12:17:45 +0200
commit2db39f645b6b60386c18b7f80b507d7d42b75517 (patch)
tree060f4fc7e919f05ba27cc743f7fb016108ee2505 /games/smokinguns/smokinguns.SlackBuild
parent803008f8e927b15d1e9f63d43c8df8707422a33a (diff)
downloadslackbuilds-2db39f645b6b60386c18b7f80b507d7d42b75517.tar.gz
games/smokinguns: Added (American Old West FPS).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'games/smokinguns/smokinguns.SlackBuild')
-rw-r--r--games/smokinguns/smokinguns.SlackBuild83
1 files changed, 83 insertions, 0 deletions
diff --git a/games/smokinguns/smokinguns.SlackBuild b/games/smokinguns/smokinguns.SlackBuild
new file mode 100644
index 0000000000..9c4fd7920a
--- /dev/null
+++ b/games/smokinguns/smokinguns.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for smokinguns
+
+# Copyright 2013 - Fernando Giannasi - São Paulo - Brasil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=smokinguns
+VERSION=${VERSION:-1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=i386 # i386 binary only
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# No flags/configure needed as it is just a binary repackaging.
+
+set -e # Exit on most errors.
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/opt/$PRGNAM $OUTPUT
+cd $PKG
+unzip $CWD/Smokin_Guns_$VERSION.zip
+cp -r Smokin*$VERSION/* $PKG/opt/$PRGNAM
+rm -rf Smokin*$VERSION
+
+chown -R root:root .
+
+# Fix permissions
+find . -type d -exec chmod 0755 {} \;
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+find ./opt/ -type f -name *.i386 -exec chmod +x {} \;
+
+# Copy the icon
+install -m 0644 -D $PKG/opt/$PRGNAM/sg_48.png \
+ $PKG/usr/share/pixmaps/smokinguns.png
+
+# Install a .desktop file and a launcher:
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+install -m 0755 -D $CWD/launcher.sh $PKG/usr/bin/smokinguns
+
+( cd $PKG/opt/smokinguns
+ # Remove the windows stuff
+ rm *.dll *.exe
+ ln -s smokinguns.i386 smokin )
+
+# Let's take care of documentation
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/opt -iname *.txt -type f -exec cp {} $PKG/usr/doc/$PRGNAM-$VERSION \;
+cp $PKG/opt/$PRGNAM/README $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}